Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1606321 - scummvm: FTBFS in Fedora rawhide
Summary: scummvm: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: scummvm
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lucian Langa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F29FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-07-20 19:30 UTC by Mohan Boddu
Modified: 2019-01-01 20:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-01 20:49:09 UTC


Attachments (Terms of Use)
build.log (deleted)
2018-07-20 19:30 UTC, Mohan Boddu
no flags Details
root.log (deleted)
2018-07-20 19:30 UTC, Mohan Boddu
no flags Details
state.log (deleted)
2018-07-20 19:30 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-20 19:30:14 UTC
scummvm failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28233238


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix scummvm at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
scummvm will be orphaned. Before branching of Fedora 30,
scummvm will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 19:30:23 UTC
Created attachment 1467976 [details]
build.log

Comment 2 Mohan Boddu 2018-07-20 19:30:27 UTC
Created attachment 1467977 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 19:30:34 UTC
Created attachment 1467978 [details]
state.log

Comment 4 Jan Kurik 2018-08-14 08:57:10 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 5 Christian Krause 2019-01-01 20:49:09 UTC
Fixed in master by the following commit (thanks, Filipe):

https://src.fedoraproject.org/cgit/rpms/scummvm.git/commit/?id=ead4159239b93af76eb8bc3897901c925bf6d754

If there is need for another F29 build, the commit will either be cherry-picked or the branches will be merged.


Note You need to log in before you can comment on or make changes to this bug.